use serde::{Deserialize, Serialize};
use validator::Validate;

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct AuthenticateWithPassword {
    #[validate(required(message = "用户名不能为空"), length(min = 1, message = "用户名不能为空"))]
    pub username: Option<String>,
    #[validate(required(message = "密码不能为空"), length(min = 1, message = "密码不能为空"))]
    pub password: Option<String>,
}

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct AuthenticateGooleAccountReq {
    #[validate(required(message = "用户ID Token不能为空"), length(min = 1, message = "用户ID Token不能为空"))]
    pub id_token: Option<String>,
}
